uuid: ffa445cb-a81e-4956-8f1c-4f6e7e09c74b
langcode: en
status: true
dependencies:
  config:
    - entityqueue.entity_queue.hero_slider_queue
    - field.storage.node.field_link
    - node.type.varbase_heroslider_media
  module:
    - entityqueue
    - link
    - node
    - slick_views
    - user
_core:
  default_config_hash: iVZAkNQ_Guk0WLUTo2OKmmcWo4yJxCmtwPG5Jp57dmM
id: varbase_heroslider_media
label: 'Media Hero Slider'
module: views
description: 'Shows a list of media hero sliders, which are connected to the Media Hero Slider entity queue'
tag: ''
base_table: node_field_data
base_field: nid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Media Hero Slider'
      fields:
        field_link:
          id: field_link
          table: node__field_link
          field: field_link
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: field
          label: ''
          exclude: true
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: uri
          type: link
          settings:
            trim_length: 80
            url_only: true
            url_plain: true
            rel: '0'
            target: '0'
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        rendered_entity:
          id: rendered_entity
          table: node
          field: rendered_entity
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          plugin_id: rendered_entity
          label: ''
          exclude: false
          alter:
            alter_text: true
            text: '<div><a href="{{ field_link }}">{{ rendered_entity }}</a></div>'
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          view_mode: default
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 5
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts:
        entityqueue_relationship:
          id: entityqueue_relationship
          table: node_field_data
          field: entityqueue_relationship
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          plugin_id: entity_queue_position
          order: ASC
          expose:
            label: ''
            field_identifier: entityqueue_relationship
          exposed: false
      arguments: {  }
      filters:
        status:
          id: status
          table: node_field_data
          field: status
          entity_type: node
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        type:
          id: type
          table: node_field_data
          field: type
          entity_type: node
          entity_field: type
          plugin_id: bundle
          value:
            varbase_heroslider_media: varbase_heroslider_media
          expose:
            operator_limit_selection: false
            operator_list: {  }
        langcode:
          id: langcode
          table: node_field_data
          field: langcode
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: langcode
          plugin_id: language
          operator: in
          value:
            '***LANGUAGE_language_interface***': '***LANGUAGE_language_interface***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        field_media_single_target_id:
          id: field_media_single_target_id
          table: node__field_media_single
          field: field_media_single_target_id
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: numeric
          operator: 'not empty'
          value:
            min: ''
            max: ''
            value: ''
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      style:
        type: slick
        options:
          caption:
            field_link: '0'
            rendered_entity: '0'
          optionset: varbase_gallery
          class: ''
          id: ''
          image: ''
          link: field_link
          overlay: ''
          title: ''
          vanilla: true
          layout: ''
          cache: 0
          skin: classic
          style: ''
          grid: ''
          grid_medium: '2'
          grid_small: '1'
          overridables:
            arrows: '0'
            autoplay: '0'
            dots: '0'
            draggable: '0'
            infinite: '0'
            mouseWheel: '0'
            randomize: '0'
            variableWidth: '0'
          thumbnail: ''
          optionset_thumbnail: ''
          skin_thumbnail: ''
          thumbnail_effect: ''
          thumbnail_position: ''
          override: false
          preserve_keys: false
          visible_items: 2
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships:
        entityqueue_relationship:
          id: entityqueue_relationship
          table: node_field_data
          field: entityqueue_relationship
          relationship: none
          group_type: group
          admin_label: 'Content queue'
          entity_type: node
          plugin_id: entity_queue
          required: true
          limit_queue: hero_slider_queue
      css_class: varbase-heroslider-media
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:core.entity_view_display.node.board_member.default'
        - 'config:core.entity_view_display.node.board_member.teaser'
        - 'config:core.entity_view_display.node.impact.default'
        - 'config:core.entity_view_display.node.impact.teaser'
        - 'config:core.entity_view_display.node.landing_page.default'
        - 'config:core.entity_view_display.node.landing_page.full'
        - 'config:core.entity_view_display.node.landing_page.teaser'
        - 'config:core.entity_view_display.node.news_and_stories.default'
        - 'config:core.entity_view_display.node.news_and_stories.full'
        - 'config:core.entity_view_display.node.news_and_stories.teaser'
        - 'config:core.entity_view_display.node.news_and_stories.vertical_media_teaser_xsmall'
        - 'config:core.entity_view_display.node.page.default'
        - 'config:core.entity_view_display.node.page.full'
        - 'config:core.entity_view_display.node.page.teaser'
        - 'config:core.entity_view_display.node.report.default'
        - 'config:core.entity_view_display.node.report.teaser'
        - 'config:core.entity_view_display.node.resource.default'
        - 'config:core.entity_view_display.node.resource.horizontal_media_teaser_small'
        - 'config:core.entity_view_display.node.resource.teaser'
        - 'config:core.entity_view_display.node.team_member.default'
        - 'config:core.entity_view_display.node.team_member.teaser'
        - 'config:core.entity_view_display.node.varbase_heroslider_media.default'
        - 'config:core.entity_view_display.node.varbase_heroslider_media.teaser'
        - 'config:core.entity_view_display.node.video.default'
        - 'config:core.entity_view_display.node.video.teaser'
        - 'config:core.entity_view_display.node.video.video_teaser'
        - 'config:entityqueue.entity_queue.hero_slider_queue'
        - 'config:field.storage.node.field_link'
        - entity_field_info
        - views_data
  varbase_heroslider_media:
    id: varbase_heroslider_media
    display_title: 'Media Hero Slider'
    display_plugin: block
    position: 1
    display_options:
      display_description: 'Shows a list of media hero sliders, which are connected to the Media Hero Slider entity queue'
      display_extenders:
        metatag_display_extender:
          metatags: {  }
          tokenize: false
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:core.entity_view_display.node.board_member.default'
        - 'config:core.entity_view_display.node.board_member.teaser'
        - 'config:core.entity_view_display.node.impact.default'
        - 'config:core.entity_view_display.node.impact.teaser'
        - 'config:core.entity_view_display.node.landing_page.default'
        - 'config:core.entity_view_display.node.landing_page.full'
        - 'config:core.entity_view_display.node.landing_page.teaser'
        - 'config:core.entity_view_display.node.news_and_stories.default'
        - 'config:core.entity_view_display.node.news_and_stories.full'
        - 'config:core.entity_view_display.node.news_and_stories.teaser'
        - 'config:core.entity_view_display.node.news_and_stories.vertical_media_teaser_xsmall'
        - 'config:core.entity_view_display.node.page.default'
        - 'config:core.entity_view_display.node.page.full'
        - 'config:core.entity_view_display.node.page.teaser'
        - 'config:core.entity_view_display.node.report.default'
        - 'config:core.entity_view_display.node.report.teaser'
        - 'config:core.entity_view_display.node.resource.default'
        - 'config:core.entity_view_display.node.resource.horizontal_media_teaser_small'
        - 'config:core.entity_view_display.node.resource.teaser'
        - 'config:core.entity_view_display.node.team_member.default'
        - 'config:core.entity_view_display.node.team_member.teaser'
        - 'config:core.entity_view_display.node.varbase_heroslider_media.default'
        - 'config:core.entity_view_display.node.varbase_heroslider_media.teaser'
        - 'config:core.entity_view_display.node.video.default'
        - 'config:core.entity_view_display.node.video.teaser'
        - 'config:core.entity_view_display.node.video.video_teaser'
        - 'config:entityqueue.entity_queue.hero_slider_queue'
        - 'config:field.storage.node.field_link'
        - entity_field_info
        - views_data
